## What does this MR do?

<!-- Describe your changes here -->

%{first_multiline_commit}

## TODO

- [Feature flag](https://docs.gitlab.com/ee/development/pages/#feature-flags)
  - [ ] Added feature flag: <!-- Add the Feature flag tracking issue link here -->
  - [ ] This feature does not require a feature flag
- [ ] I added the [`Changelog` trailer](https://docs.gitlab.com/ee/development/changelog.html) to the commits that need to be included in the changelog (e.g. `Changelog: added`)
- [ ] I added unit tests or they are not required
- [ ] I added acceptance tests or they are not required
- [ ] I added [documentation](https://docs.gitlab.com/ee/development/documentation/workflow.html) ([or it's not required](https://about.gitlab.com/handbook/engineering/ux/technical-writing/workflow/#when-documentation-is-required))
- [ ] I followed [code review guidelines](https://docs.gitlab.com/ee/development/code_review.html)
- [ ] I followed [Go Style guidelines](https://docs.gitlab.com/ee/development/go_guide/)

<!-- Labels - do not remove -->
/label ~"section::dev" ~"devops::plan" ~"group::knowledge" ~"Category:Pages"
